View Issue Details

This bug affects 2 person(s).
 18
IDProjectCategoryView StatusLast Update
17835Bug reportsResponse browsingpublic2022-05-25 16:45
ReporterMazi Assigned Togalads  
PrioritynoneSeverityminor 
Status ready for testingResolutionopen 
Product Version5.2.x 
Summary17835: Single response overview is listing first name, last name, ... from token details but is missing attribute data
Description

When browsing a single response at a closed, non-anonymous survey, you can see first name, last name etc. from the token data. But any additional attribute details are missing there. That is a pity because often very important participant details like department, gender, ... were entered there which are important when checking details of a single response.
So if additioanl attributes exist, we should show that data at the response view as well.
You may also want to consider adding this to the tabular browse responses screen which shows all responses.

Steps To Reproduce

Steps to reproduce

Check a single response at a closed, non-anonymous surveys which has additional token attributes

Expected result

See participant details including attribute details

Actual result

Participant details like first name, last name, ... are shown but attribute data is missing.

TagsNo tags attached.
Bug heat18
Complete LimeSurvey version number (& build)Version 5.2.9+220110
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL
Server OS (if known)Ubuntu 20
Webserver software & version (if known)Apache 2.0
PHP Version7.4

Relationships

related to 17995 new Feature requests Allow to have "default" filter and user filter foir response browsing 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2022-02-07 16:14

updater   ~68226

@galads, if bugs are marked as "confirmed", does that already mean someone is working on it or when can one expect to see further action? What is your internal work-flow?

galads

galads

2022-02-08 09:03

administrator   ~68230

Last edited: 2022-03-24 10:46

If I mark it as confirmed, means I am going to pick it up at some point when I filter according to priority.

Mazi

Mazi

2022-02-08 11:05

updater   ~68231

Last edited: 2022-03-24 10:46

Thanks for the feedback, @galads!

What does "some point" mean?
How is "priority" defined?

Sorry for the many questions but often customers are asking when to expect a fix.

galads

galads

2022-02-08 14:41

administrator   ~68237

Last edited: 2022-03-24 10:46

Well, security issues have the highest priority. There are more than 1000 bugs still open and most are relevant and need to be sorted out. "some point" means provided I tested and reproduce the issue, then it will be fixed. And I test according to internal priority which, unfortunately, I cannot disclose here.

If you think a bug report is a priority, please assign it to me and I will pick it up from there.

Mazi

Mazi

2022-03-16 14:45

updater   ~68696

Last edited: 2022-03-24 10:46

@galads, can you assign a higher priority to this? I have heard from another customer missing these attribute fields.

Axel_C

Axel_C

2022-03-23 17:50

reporter   ~68786

Last edited: 2022-03-24 10:46

This would be very helpful for us.
Axel Chudzik (BIOTRONIK)

Mazi

Mazi

2022-03-23 20:34

updater   ~68789

Last edited: 2022-03-24 10:46

@galads, this shouldn't be difficult to add and several people would benefit from it. Can we add this to the next sprint?

gabrieljenik

gabrieljenik

2022-03-28 20:45

manager   ~68811

https://github.com/LimeSurvey/LimeSurvey/pull/2316

DenisChenu

DenisChenu

2022-03-29 08:46

developer   ~68812

This «feature» can really broke browse response more an more …

I have survey with more than 60 token attribute, i really dislike to have it each time i browse response.
We need a "default column" to show before maybe ?

Mazi

Mazi

2022-03-29 10:31

updater   ~68813

I think that there never is a perfect solution in this case. The common user (50%) does not use additional attributes. Others may use 1-3 attributes (40%). And only some very few (5%?) use > 10 attributes.
Are you should able to simply filter your view, see screenshot...

image.png (74,886 bytes)   
image.png (74,886 bytes)   
DenisChenu

DenisChenu

2022-03-29 11:10

developer   ~68814

Yes but filter is not constant

It's why i put « We need a "default column" to show before maybe ? »

Allow to save default filter for each survey : globally (default by survey) + by user.

gabrieljenik

gabrieljenik

2022-03-29 15:10

manager   ~68817

I think this is a bug introduced in my development. The description of this ticket talks about adding extra fields on the single response View but I believe that you're talking about these fields being available on the response browsing screen.

Let me review and I'll be back

DenisChenu

DenisChenu

2022-03-29 15:12

developer   ~68818

Last edited: 2022-03-29 15:18

@Mazi write «Single response overview» for me overview is on browse response :)

BUT : you're right : « See participant details including attribute details»

I create the Feature request about default global and by user

DenisChenu

DenisChenu

2022-03-29 15:17

developer   ~68819

https://bugs.limesurvey.org/view.php?id=17995

gabrieljenik

gabrieljenik

2022-03-29 15:22

manager   ~68820

@Mazi write «Single response overview» for me overview is on browse response :)

@Mazi the fields should be listed on the single response detailed view or on the general list of responses that you can browse?

DenisChenu

DenisChenu

2022-03-29 15:24

developer   ~68821

Last edited: 2022-03-29 15:25

BUT : you're right : « See participant details including attribute details»

(use mantis as IRC ;)

Mazi

Mazi

2022-03-29 16:29

updater   ~68822

@gabrieljenik it should be "single response detailed view". Not sure if adding this to the "all responses" tabular overview makes sense.

gabrieljenik

gabrieljenik

2022-03-29 18:57

manager   ~68823

Last edited: 2022-05-10 16:59

This is just to confirm that the new fields for additional attributes only appear on the detailed response view.
These attributes don't appear on the browse responses screen. Having established that I believe got this ticket is ready for being tested. Thanks!

Mazi

Mazi

2022-05-25 11:41

updater   ~70023

@gabrieljenik, what are the next steps to get the fix included at the next release?
I heard that "galads" is not available for further testing anymore?

DenisChenu

DenisChenu

2022-05-25 12:09

developer   ~70027

@Mazi : maybe you can test it ?

ollehar

ollehar

2022-05-25 12:27

administrator   ~70028

Merged.

Ping to not forget to update the manual.

gabrieljenik

gabrieljenik

2022-05-25 16:29

manager   ~70043

Does it have to be updated?

ollehar

ollehar

2022-05-25 16:35

administrator   ~70045

The PR said new feature. Dunno.

gabrieljenik

gabrieljenik

2022-05-25 16:45

manager   ~70048

It is an enhancement to a current feature. Maybe a slight error on the commit message.
I believe no manual updates are needed.

Issue History

Date Modified Username Field Change
2022-01-14 14:22 Mazi New Issue
2022-01-18 10:24 galads Assigned To => galads
2022-01-18 10:24 galads Status new => confirmed
2022-02-07 16:14 Mazi Note Added: 68226
2022-02-07 16:14 Mazi Bug heat 0 => 2
2022-02-08 09:03 galads Note Added: 68230
2022-02-08 09:03 galads Bug heat 2 => 4
2022-02-08 11:05 Mazi Note Added: 68231
2022-02-08 14:41 galads Note Added: 68237
2022-03-16 14:45 Mazi Note Added: 68696
2022-03-23 17:48 guest Bug heat 4 => 10
2022-03-23 17:50 Axel_C Note Added: 68786
2022-03-23 17:50 Axel_C Bug heat 10 => 12
2022-03-23 20:34 Mazi Note Added: 68789
2022-03-24 10:46 galads Zoho Project Synchronization => |Yes|
2022-03-28 20:45 gabrieljenik Note Added: 68811
2022-03-28 20:45 gabrieljenik Bug heat 12 => 14
2022-03-29 08:46 DenisChenu Note Added: 68812
2022-03-29 08:46 DenisChenu Bug heat 14 => 16
2022-03-29 10:31 Mazi Note Added: 68813
2022-03-29 10:31 Mazi File Added: image.png
2022-03-29 11:10 DenisChenu Note Added: 68814
2022-03-29 15:10 gabrieljenik Note Added: 68817
2022-03-29 15:12 DenisChenu Note Added: 68818
2022-03-29 15:17 DenisChenu Note Added: 68819
2022-03-29 15:17 DenisChenu Relationship added related to 17995
2022-03-29 15:18 DenisChenu Note Edited: 68818
2022-03-29 15:22 gabrieljenik Note Added: 68820
2022-03-29 15:24 DenisChenu Note Added: 68821
2022-03-29 15:25 DenisChenu Note Edited: 68821
2022-03-29 16:29 Mazi Note Added: 68822
2022-03-29 18:57 gabrieljenik Note Added: 68823
2022-05-10 16:59 gabrieljenik Note Edited: 68823
2022-05-10 17:01 gabrieljenik Status confirmed => ready for testing
2022-05-25 11:41 Mazi Note Added: 70023
2022-05-25 12:09 DenisChenu Note Added: 70027
2022-05-25 12:27 ollehar Note Added: 70028
2022-05-25 12:27 ollehar Bug heat 16 => 18
2022-05-25 16:29 gabrieljenik Note Added: 70043
2022-05-25 16:35 ollehar Note Added: 70045
2022-05-25 16:45 gabrieljenik Note Added: 70048